/*Rozbalovací menu*/

const hamburger = document.querySelector(".hamburger");
const navMenu = document.querySelector(".navigace");

hamburger.addEventListener("click", () =>
{
	hamburger.classList.toggle("active");
	navMenu.classList.toggle("active");
})

document.querySelectorAll(".nav-link").forEach(n => n.addEventListener("click", () => {
	hamburger.classList.remove("active");
	navMenu.classList.remove("active");
}))


/*rozbalování FAQ*/

const faqs = document.querySelectorAll(".faq");

faqs.forEach((faq) => {
faq.addEventListener("click", () => {
faq.classList.toggle("active");
});
});





/*Diskuze*/

"use strict";

const userId = 
{
	name: null,
	identity: null,
	image: null,
	message: null,
	date: null
}

const userComment = document.querySelector(".uzivatelkoment");
const publishBtn = document.querySelector("#publikovat");
const comments = document.querySelector(".komenty");
const userName = document.querySelector(".uzivatel");

userComment.addEventListener("input", e => {
	if (!userComment.value) {
		publishBtn.setAttribute("disabled","disabled");
		publishBtn.classList.remove("abled");
	}else {
		publishBtn.removeAttribute("disabled");
		publishBtn.classList.add("abled");
	}
})

function addPost() {
	console.log("Tlačítko funguje")
	if(!userComment.value) return;
	userId.name = userName.value;
	if(userId.name == "Anonym") {
		userId.identity = false;
		userId.image = "images/anonym.png";
}else {
	userId.identity = true;
	userId.image = "images/uziv.png";
}

userId.message = userComment.value;
userId.data = new Date().toLocaleString();
let published = 
`<div class="parents">
    <img src="${userId.image}">
	<div>
	    <h1>${userId.name}<h1>
		<p>${userId.message}</p>
		
		<span class="date">${userId.data}</span>
		
	</div>
</div>`;

comments.innerHTML += published;
userComment.value = "";

let commentsNum =document.querySelectorAll(".parents").length;
document.getElementById("comment").textContent = commentsNum;

}

publishBtn.addEventListener("click", addPost)
